Class | Bio::FANTOM::MaXML::Cluster
In: | lib/bio/db/fantom.rb
Parent: | MaXML

### Methods

representative_annotations representative_clone representative_cloneid representative_seqid representative_sequence sequence sequences

### Constants

Data_XPath | = | 'maxml-clusters/cluster' |  | (MaXML cluster) fantom2.gsc.riken.go.jp/fantom/2.1/allclust.sep.xml.gz

### Public Instance methods

representative_annotations()

[Source]

         # File lib/bio/db/fantom.rb, line 145
    145:         def representative_annotations
    146:           e = representative_sequence
    147:           e ? e.annotations : nil
    148:         end

representative_clone()

Alias for representative_sequence

representative_cloneid()

[Source]

         # File lib/bio/db/fantom.rb, line 150
    150:         def representative_cloneid
    151:           e = representative_sequence
    152:           e ? e.cloneid : nil
    153:         end

representative_seqid()

[Source]

         # File lib/bio/db/fantom.rb, line 116
    116:         def representative_seqid
    117:           unless defined?(@representative_seqid)
    118:             @representative_seqid =
    119:               gsub_entities(@elem.text('representative-seqid'))
    120:           end
    121:           @representative_seqid
    122:         end

representative_sequence()

[Source]

         # File lib/bio/db/fantom.rb, line 135
    135:         def representative_sequence
    136:           unless defined?(@representative_sequence)
    137:             rid = representative_seqid
    138:             @representative_sequence =
    139:               rid ? sequences[representative_seqid] : nil
    140:           end
    141:           @representative_sequence
    142:         end

sequence(idstr = nil)

[Source]

         # File lib/bio/db/fantom.rb, line 131
    131:         def sequence(idstr = nil)
    132:           idstr ? sequences[idstr] : representative_sequence
    133:         end

sequences()

[Source]

         # File lib/bio/db/fantom.rb, line 124
    124:         def sequences
    125:           unless defined?(@sequences)
    126:             @sequences = MaXML::Sequences.new(@elem)
    127:           end
    128:           @sequences
    129:         end

[Validate]